PHP Manual
Prev |  | Next

# mysqli_init

(PHP 5)

mysqli_init -- Initializes MySQLi and returns a resource for use with mysqli_real_connect()

## Description

Procedural style:

mysqli mysqli_init ( void )

Object oriented style (method):

class mysqli {
mysqli init ( void )
}

Allocates or initializes a MYSQL object suitable for mysqli_options() and mysqli_real_connect().

> Note: Any subsequent calls to any mysqli function (except mysqli_options()) will fail until mysqli_real_connect() was called.

## Return Values

Returns an object.

## See Also

mysqli_options()
mysqli_close()
mysqli_real_connect()
mysqli_connect()

Prev | Home | Next
mysqli_info | Up | mysqli_insert_id